org.apache.ode.bpel.pmapi.impl

## Class ReplayImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.ReplayImpl

- All Implemented Interfaces:
    java.io.Serializable, Replay, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class ReplayImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements Replay

  An XML Replay(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.Replay

      `Replay.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.Replay

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlLong` | `addNewReplaceInstance()` Appends and returns a new empty value (as xml) as the last "replaceInstance" element
    `CommunicationType` | `addNewRestoreInstance()` Appends and returns a new empty value (as xml) as the last "restoreInstance" element
    `org.apache.xmlbeans.XmlLong` | `addNewUpgradeInstance()` Appends and returns a new empty value (as xml) as the last "upgradeInstance" element
    `void` | `addReplaceInstance(long replaceInstance)` Appends the value as the last "replaceInstance" element
    `void` | `addUpgradeInstance(long upgradeInstance)` Appends the value as the last "upgradeInstance" element
    `long[]` | `getReplaceInstanceArray()` Gets array of all "replaceInstance" elements
    `long` | `getReplaceInstanceArray(int i)` Gets ith "replaceInstance" element
    `CommunicationType[]` | `getRestoreInstanceArray()` Gets array of all "restoreInstance" elements
    `CommunicationType` | `getRestoreInstanceArray(int i)` Gets ith "restoreInstance" element
    `long[]` | `getUpgradeInstanceArray()` Gets array of all "upgradeInstance" elements
    `long` | `getUpgradeInstanceArray(int i)` Gets ith "upgradeInstance" element
    `org.apache.xmlbeans.XmlLong` | `insertNewReplaceInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "replaceInstance" element
    `CommunicationType` | `insertNewRestoreInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element
    `org.apache.xmlbeans.XmlLong` | `insertNewUpgradeInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "upgradeInstance" element
    `void` | `insertReplaceInstance(int i, long replaceInstance)` Inserts the value as the ith "replaceInstance" element
    `void` | `insertUpgradeInstance(int i, long upgradeInstance)` Inserts the value as the ith "upgradeInstance" element
    `void` | `removeReplaceInstance(int i)` Removes the ith "replaceInstance" element
    `void` | `removeRestoreInstance(int i)` Removes the ith "restoreInstance" element
    `void` | `removeUpgradeInstance(int i)` Removes the ith "upgradeInstance" element
    `void` | `setReplaceInstanceArray(int i, long replaceInstance)` Sets ith "replaceInstance" element
    `void` | `setReplaceInstanceArray(long[] replaceInstanceArray)` Sets array of all "replaceInstance" element
    `void` | `setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)` Sets array of all "restoreInstance" element WARNING: This method is not atomicaly synchronized.
    `void` | `setRestoreInstanceArray(int i, CommunicationType restoreInstance)` Sets ith "restoreInstance" element
    `void` | `setUpgradeInstanceArray(int i, long upgradeInstance)` Sets ith "upgradeInstance" element
    `void` | `setUpgradeInstanceArray(long[] upgradeInstanceArray)` Sets array of all "upgradeInstance" element
    `int` | `sizeOfReplaceInstanceArray()` Returns number of "replaceInstance" element
    `int` | `sizeOfRestoreInstanceArray()` Returns number of "restoreInstance" element
    `int` | `sizeOfUpgradeInstanceArray()` Returns number of "upgradeInstance" element
    `org.apache.xmlbeans.XmlLong[]` | `xgetReplaceInstanceArray()` Gets (as xml) array of all "replaceInstance" elements
    `org.apache.xmlbeans.XmlLong` | `xgetReplaceInstanceArray(int i)` Gets (as xml) ith "replaceInstance" element
    `org.apache.xmlbeans.XmlLong[]` | `xgetUpgradeInstanceArray()` Gets (as xml) array of all "upgradeInstance" elements
    `org.apache.xmlbeans.XmlLong` | `xgetUpgradeInstanceArray(int i)` Gets (as xml) ith "upgradeInstance" element
    `void` | `xsetReplaceInstanceArray(int i, org.apache.xmlbeans.XmlLong replaceInstance)` Sets (as xml) ith "replaceInstance" element
    `void` | `xsetReplaceInstanceArray(org.apache.xmlbeans.XmlLong[] replaceInstanceArray)` Sets (as xml) array of all "replaceInstance" element
    `void` | `xsetUpgradeInstanceArray(int i, org.apache.xmlbeans.XmlLong upgradeInstance)` Sets (as xml) ith "upgradeInstance" element
    `void` | `xsetUpgradeInstanceArray(org.apache.xmlbeans.XmlLong[] upgradeInstanceArray)` Sets (as xml) array of all "upgradeInstance" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ReplayImpl

          public ReplayImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getUpgradeInstanceArray

          public long[] getUpgradeInstanceArray()

      Gets array of all "upgradeInstance" elements
      Specified by:
        `getUpgradeInstanceArray` in interface `Replay`

    - #### getUpgradeInstanceArray

          public long getUpgradeInstanceArray(int i)

      Gets ith "upgradeInstance" element
      Specified by:
        `getUpgradeInstanceArray` in interface `Replay`

    - #### xgetUpgradeInstanceArray

          public org.apache.xmlbeans.XmlLong[] xgetUpgradeInstanceArray()

      Gets (as xml) array of all "upgradeInstance" elements
      Specified by:
        `xgetUpgradeInstanceArray` in interface `Replay`

    - #### xgetUpgradeInstanceArray

          public org.apache.xmlbeans.XmlLong xgetUpgradeInstanceArray(int i)

      Gets (as xml) ith "upgradeInstance" element
      Specified by:
        `xgetUpgradeInstanceArray` in interface `Replay`

    - #### sizeOfUpgradeInstanceArray

          public int sizeOfUpgradeInstanceArray()

      Returns number of "upgradeInstance" element
      Specified by:
        `sizeOfUpgradeInstanceArray` in interface `Replay`

    - #### setUpgradeInstanceArray

          public void setUpgradeInstanceArray(long[] upgradeInstanceArray)

      Sets array of all "upgradeInstance" element
      Specified by:
        `setUpgradeInstanceArray` in interface `Replay`

    - #### setUpgradeInstanceArray

          public void setUpgradeInstanceArray(int i,
                                              long upgradeInstance)

      Sets ith "upgradeInstance" element
      Specified by:
        `setUpgradeInstanceArray` in interface `Replay`

    - #### xsetUpgradeInstanceArray

          public void xsetUpgradeInstanceArray(org.apache.xmlbeans.XmlLong[] upgradeInstanceArray)

      Sets (as xml) array of all "upgradeInstance" element
      Specified by:
        `xsetUpgradeInstanceArray` in interface `Replay`

    - #### xsetUpgradeInstanceArray

          public void xsetUpgradeInstanceArray(int i,
                                               org.apache.xmlbeans.XmlLong upgradeInstance)

      Sets (as xml) ith "upgradeInstance" element
      Specified by:
        `xsetUpgradeInstanceArray` in interface `Replay`

    - #### insertUpgradeInstance

          public void insertUpgradeInstance(int i,
                                            long upgradeInstance)

      Inserts the value as the ith "upgradeInstance" element
      Specified by:
        `insertUpgradeInstance` in interface `Replay`

    - #### addUpgradeInstance

          public void addUpgradeInstance(long upgradeInstance)

      Appends the value as the last "upgradeInstance" element
      Specified by:
        `addUpgradeInstance` in interface `Replay`

    - #### insertNewUpgradeInstance

          public org.apache.xmlbeans.XmlLong insertNewUpgradeInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "upgradeInstance" element
      Specified by:
        `insertNewUpgradeInstance` in interface `Replay`

    - #### addNewUpgradeInstance

          public org.apache.xmlbeans.XmlLong addNewUpgradeInstance()

      Appends and returns a new empty value (as xml) as the last "upgradeInstance" element
      Specified by:
        `addNewUpgradeInstance` in interface `Replay`

    - #### removeUpgradeInstance

          public void removeUpgradeInstance(int i)

      Removes the ith "upgradeInstance" element
      Specified by:
        `removeUpgradeInstance` in interface `Replay`

    - #### getReplaceInstanceArray

          public long[] getReplaceInstanceArray()

      Gets array of all "replaceInstance" elements
      Specified by:
        `getReplaceInstanceArray` in interface `Replay`

    - #### getReplaceInstanceArray

          public long getReplaceInstanceArray(int i)

      Gets ith "replaceInstance" element
      Specified by:
        `getReplaceInstanceArray` in interface `Replay`

    - #### xgetReplaceInstanceArray

          public org.apache.xmlbeans.XmlLong[] xgetReplaceInstanceArray()

      Gets (as xml) array of all "replaceInstance" elements
      Specified by:
        `xgetReplaceInstanceArray` in interface `Replay`

    - #### xgetReplaceInstanceArray

          public org.apache.xmlbeans.XmlLong xgetReplaceInstanceArray(int i)

      Gets (as xml) ith "replaceInstance" element
      Specified by:
        `xgetReplaceInstanceArray` in interface `Replay`

    - #### sizeOfReplaceInstanceArray

          public int sizeOfReplaceInstanceArray()

      Returns number of "replaceInstance" element
      Specified by:
        `sizeOfReplaceInstanceArray` in interface `Replay`

    - #### setReplaceInstanceArray

          public void setReplaceInstanceArray(long[] replaceInstanceArray)

      Sets array of all "replaceInstance" element
      Specified by:
        `setReplaceInstanceArray` in interface `Replay`

    - #### setReplaceInstanceArray

          public void setReplaceInstanceArray(int i,
                                              long replaceInstance)

      Sets ith "replaceInstance" element
      Specified by:
        `setReplaceInstanceArray` in interface `Replay`

    - #### xsetReplaceInstanceArray

          public void xsetReplaceInstanceArray(org.apache.xmlbeans.XmlLong[] replaceInstanceArray)

      Sets (as xml) array of all "replaceInstance" element
      Specified by:
        `xsetReplaceInstanceArray` in interface `Replay`

    - #### xsetReplaceInstanceArray

          public void xsetReplaceInstanceArray(int i,
                                               org.apache.xmlbeans.XmlLong replaceInstance)

      Sets (as xml) ith "replaceInstance" element
      Specified by:
        `xsetReplaceInstanceArray` in interface `Replay`

    - #### insertReplaceInstance

          public void insertReplaceInstance(int i,
                                            long replaceInstance)

      Inserts the value as the ith "replaceInstance" element
      Specified by:
        `insertReplaceInstance` in interface `Replay`

    - #### addReplaceInstance

          public void addReplaceInstance(long replaceInstance)

      Appends the value as the last "replaceInstance" element
      Specified by:
        `addReplaceInstance` in interface `Replay`

    - #### insertNewReplaceInstance

          public org.apache.xmlbeans.XmlLong insertNewReplaceInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "replaceInstance" element
      Specified by:
        `insertNewReplaceInstance` in interface `Replay`

    - #### addNewReplaceInstance

          public org.apache.xmlbeans.XmlLong addNewReplaceInstance()

      Appends and returns a new empty value (as xml) as the last "replaceInstance" element
      Specified by:
        `addNewReplaceInstance` in interface `Replay`

    - #### removeReplaceInstance

          public void removeReplaceInstance(int i)

      Removes the ith "replaceInstance" element
      Specified by:
        `removeReplaceInstance` in interface `Replay`

    - #### getRestoreInstanceArray

          public CommunicationType[] getRestoreInstanceArray()

      Gets array of all "restoreInstance" elements
      Specified by:
        `getRestoreInstanceArray` in interface `Replay`

    - #### getRestoreInstanceArray

          public CommunicationType getRestoreInstanceArray(int i)

      Gets ith "restoreInstance" element
      Specified by:
        `getRestoreInstanceArray` in interface `Replay`

    - #### sizeOfRestoreInstanceArray

          public int sizeOfRestoreInstanceArray()

      Returns number of "restoreInstance" element
      Specified by:
        `sizeOfRestoreInstanceArray` in interface `Replay`

    - #### setRestoreInstanceArray

          public void setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)

      Sets array of all "restoreInstance" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setRestoreInstanceArray` in interface `Replay`

    - #### setRestoreInstanceArray

          public void setRestoreInstanceArray(int i,
                                              CommunicationType restoreInstance)

      Sets ith "restoreInstance" element
      Specified by:
        `setRestoreInstanceArray` in interface `Replay`

    - #### insertNewRestoreInstance

          public CommunicationType insertNewRestoreInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element
      Specified by:
        `insertNewRestoreInstance` in interface `Replay`

    - #### addNewRestoreInstance

          public CommunicationType addNewRestoreInstance()

      Appends and returns a new empty value (as xml) as the last "restoreInstance" element
      Specified by:
        `addNewRestoreInstance` in interface `Replay`

    - #### removeRestoreInstance

          public void removeRestoreInstance(int i)

      Removes the ith "restoreInstance" element
      Specified by:
        `removeRestoreInstance` in interface `Replay`